/*!
  @file
  @author Shin'ichiro Nakaoka
*/

#include "GRobotBar.h"
#include "GRobotControllerItem.h"
#include <cnoid/Config>
#include <cnoid/Plugin>
#include <cnoid/ItemManager>

namespace cnoid {

    class GRobotPlugin : public Plugin
    {
    public:
        
        GRobotPlugin() : Plugin("GRobot") {
            depend("Body");
        }
    
        virtual bool initialize() {

            addToolBar(GRobotBar::instance());

            itemManager().registerClass<GRobotControllerItem>("GRobotControllerItem");
            itemManager().addCreationPanel<GRobotControllerItem>();
            
            return true;
        }

        virtual QString description() {
            return
                tr("GRobot Plugin Version %1\n").arg(CNOID_FULL_VERSION_STRING) +
                "\n" +
                tr("This plugin has been developed by Shin'ichiro Nakaoka and Choreonoid Development Team, AIST, "
                   "and is distributed as a part of the Choreonoid package.\n"
                   "\n") +
                LGPLtext();
        }
    };
}

CNOID_IMPLEMENT_PLUGIN_ENTRY(cnoid::GRobotPlugin)
