/**
   @author Shin'ichiro Nakaoka
*/

#include "FileBar.h"
#include "ExtensionManager.h"
#include "ProjectManager.h"
#include <boost/bind.hpp>

using namespace std;
using namespace boost;
using namespace cnoid;


void FileBar::initialize(ExtensionManager* ext)
{
    static bool initialized = false;
    if(!initialized){
        ext->addToolBar(instance());
        initialized = true;
    }
}


FileBar* FileBar::instance()
{
    static FileBar* fileBar = new FileBar();
    return fileBar;
}


FileBar::FileBar()
    : ToolBar(_("FileBar"))
{
    addButton(_("O.P."), _("Overwriting project (icon is under construnction ...)"))
        ->sigClicked().connect(
            bind(&ProjectManager::overwriteCurrentProject, ProjectManager::instance()));
}


FileBar::~FileBar()
{

}
